package com.fjhx.customer.service.xiaoman;

import com.fjhx.customer.entity.customer.dto.CustomerDto;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanUpdateInfoVO;

public interface XiaomanApiService {

    /**
     * 初始化所有客户列表
     * @author hj
     * @date 2024/4/8 22:20
     */
    void initAllList();


    boolean setNxWithExpiration(String key, String value, long expireTime);

    String getCustomerDetail(Long companyId);


    void updateList(int hours);

    void getSelectorData();

    void updateXiaomanData(XiaomanUpdateInfoVO xiaomanUpdateInfoVO);

    void dealCustomerTagDict(String label, String key);

    void updateXiaomanData(CustomerDto dto);
}
