package com.fjhx.sale.mapper.after;

import com.fjhx.sale.entity.after.po.AfterSalesDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.sale.entity.after.vo.AfterSalesDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 售后明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
public interface AfterSalesDetailMapper extends BaseMapper<AfterSalesDetail> {

    /**
     * 售后明细列表
     */
    List<AfterSalesDetailVo> getList(@Param("ew") IWrapper<AfterSalesDetail> wrapper);

}
